<?php
namespace Claromentis\Pages\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1zZw=" . "="), "_a7a4df317e3524216" . "9b6d29687838159" => base64_decode("cGFnZXMuc2VhcmNoL" . "nBhZ2Vz"), "_3f05c7e033d5fa5883b27e" . "9248e3ab53" => base64_decode("cGFnZ" . "XM="));
use Claromentis\Pages\Search\Indexing\PageIndexing;
use Claromentis\Pages\Search\PageSearchItem;
use Claromentis\Pages\UseCase\GetSitesList;
use Claromentis\Search\Application\ApplicationInterface;




class PagesSearch implements ApplicationInterface
{
    protected $sites_list;
    public function __construct(GetSitesList $_9675db24b3e3ec210c7d101527da6943)
    {
        $this->sites_list = $_9675db24b3e3ec210c7d101527da6943;
    }
    
    
    
    
    
    
    
    
    public function GetTypes()
    {
        return [PageIndexing::TYPE_NAME => function () {
            return new PageSearchItem($this->sites_list);
        }];
    }
    
    
    
    
    
    
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_a7a4df317" . "e35242169b" . "6d29687838" . "159"]);
    }
    
    
    
    
    
    
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_3f05c7e033d5fa58" . "83b27e9248e3ab53"];
    }
}